WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: [picore][9.0.3]fifth kiosk  (Read 737 times)

Offline thana

  • WikiUser
  • *
  • Posts: 4
[picore][9.0.3]fifth kiosk
« on: January 31, 2019, 06:35:10 AM »
Hello every'one,

I'm searching a way to start fifth in fullscreen without the tab and other menu.

I plan to get a kiosk with heavy css, java etc.lynx and dillo3 are too light and fifth is the only option I see.

will TC10 will come to RPI 3B/3B+ soon with chromium or should I stay on a stable 9.0.3 version ?

ps: I've seen thath fifth work only if I install dillo3 for a libX.

best regards,
Thanatheos

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6942
Re: [picore][9.0.3]fifth kiosk
« Reply #1 on: January 31, 2019, 06:55:02 AM »
Hi thana
... ps: I've seen thath fifth work only if I install dillo3 for a libX. ...
Which  libX  do you think  dillo3  installs that is not part of  fifth?  Both depend on  fltk-1.3.tcz  which as far as I can tell is the only
extension pulling in X libraries for both browsers.

Offline thana

  • WikiUser
  • *
  • Posts: 4
Re: [picore][9.0.3]fifth kiosk
« Reply #2 on: February 05, 2019, 10:53:55 PM »
Hello,

from fresh install (resize p2, install TC and fontconfig).
after installing fifth and trying "fifth google.com", I got :
Code: newbielink:javascript:void(0); [nonactive]
libpng warning : iCCP: know incorrect sRGB profile
libpng warning : iCCP: know incorrect sRGB profile
libpng warning : iCCP: know incorrect sRGB profile
libpng warning : iCCP: profile 'Photoshop ICC profile' : 'RGB ' : RGB color space not permitted on grayscale PNG
Can't open display

Installing dillo3 download 3 packages:
-libunistring
-wget
-dillo3

After that, everything works. I've don't go futher. I need a quick solution  :-\

edit: 06/02/2019 I don't need dillo3 anymore just test it and it works :S
« Last Edit: February 05, 2019, 11:04:41 PM by thana »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11094
Re: [picore][9.0.3]fifth kiosk
« Reply #3 on: February 05, 2019, 11:02:10 PM »
I'd guess that it's openssl/ca-certificates that is missing?